Package com.microsoft.sqlserver.jdbc

## Class StringUtils

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.StringUtils

    public class StringUtils
    extends Object

Provides a utility class for Strings.

Since:
  6.1.2

### Field Summary

Fields
`static String` `EMPTY` empty string
`static String` `SPACE` string containing a space

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isEmpty​(CharSequence charSequence)` Returns if String is null
`static boolean` `isInteger​(String str)` Returns if string is integer or not
`static boolean` `isNumeric​(String str)` Returns if String is numeric or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPACE

    public static final String SPACE

string containing a space

See Also:
  Constant Field Values

#### EMPTY

    public static final String EMPTY

empty string

See Also:
  Constant Field Values

### Method Detail

#### isEmpty

    public static boolean isEmpty​(CharSequence charSequence)

Returns if String is null

Parameters:
  `charSequence` - `CharSequence` Can provide null
Returns:
  `Boolean` if provided char sequence is null or empty / blank
Since:
  6.1.2

#### isNumeric

    public static boolean isNumeric​(String str)

Returns if String is numeric or not.

Parameters:
  `str` - `String`
Returns:
  `Boolean` if provided String is numeric or not.

#### isInteger

    public static boolean isInteger​(String str)

Returns if string is integer or not

Parameters:
  `str` - `String`
Returns:
  `Boolean` if provided String is Integer or not.